#include "BasalAreaModel.h"
#include "Tree.h"

#include <cmath>

double BasalAreaModel::calculate(Tree const & tree) {
	double const fromDiameterInCentimeterToRadiusInMeterCoefficient = 1.0 / 200.0;
	double const radius = tree.getMark(TreeMarks::DIAMETER) * fromDiameterInCentimeterToRadiusInMeterCoefficient;
	return M_PI * (radius * radius); // area = pi * r^2
}

