#include "CompartmentStatsAccumulator.h"

CompartmentStatsAccumulator::CompartmentStatsAccumulator()
{
}

CompartmentStatsAccumulator::CompartmentStatsAccumulator(unsigned int const numberOfReplications, unsigned int const numberOfSpecies)
: basalArea(numberOfReplications, 0.0)
, meanDiameter(numberOfReplications, 0.0)
, meanHeight(numberOfReplications, 0.0)
, meanVolume(numberOfReplications, 0.0)
, meanVolumePerHectare(numberOfReplications, 0.0)
, speciesStatistics(numberOfSpecies,vector<uint64_t>(numberOfReplications,0))
{
}

CompartmentStatsAccumulator::~CompartmentStatsAccumulator()
{
}
