#ifndef FILE_H_
#define FILE_H_

#include <fstream>
#include <string>
#include <vector>
using std::fstream;
using std::string;
using std::vector;

class File: public fstream
{
public:
	File(string fileName, ios_base::openmode mode);
	~File();

	static void addSearchPath(string path);

private:
	static vector<string> searchPath;
	static string getFileName(string filenameWithPath);
	static string getPath(string filenameWithPath);
	static string getFileNameOrPath(string filenameWithPath, int type);


};

#endif /*FILE_H_*/
