/*
 * SecondaryModelFactor.cpp
 *
 *  Created on: 2008-sep-30
 *      Author: joschori
 */


#include "SecondaryModelFactor.h"
#include "SecondaryModel.h"

SecondaryModelFactor::SecondaryModelFactor(unsigned int const variable, double const expo) :
	ModelFactor(variable,expo) {

}

SecondaryModelFactor::~SecondaryModelFactor() {

}

ostream & operator<<(ostream & os, SecondaryModelFactor const & fact) {
	if(fact.variableId==SecondaryModel::INTERCEPT)
		os << 1.0;
	else
		os << SecondaryModel::getSecondaryVariableName(fact.variableId);
	if(fact.exponent!=1.0)
		os << "^" << fact.exponent;
	return os;
}
