/*
 * SecondaryModelFactor.h
 *
 *  Created on: 2008-sep-30
 *      Author: joschori
 */

#ifndef SECONDARYMODELFACTOR_H_
#define SECONDARYMODELFACTOR_H_

#include <ostream>
using std::ostream;

#include "ModelFactor.h"

#ifdef USE_MPI
#include "MPIUtil.h"
#endif

class SecondaryModelFactor: public ModelFactor {
public:
	SecondaryModelFactor(unsigned int const variable=0, double const expo=1.0);
	virtual ~SecondaryModelFactor();

	friend ostream & operator<<(ostream & os, SecondaryModelFactor const & fact);
};

ostream & operator<<(ostream & os, SecondaryModelFactor const & fact);


#endif /* SECONDARYMODELFACTOR_H_ */
