#ifdef USE_MPI

#include "TreeSorter.h"

bool TreeSorter::LocalCorrelationFunctor::operator()(
		Tree const * const tree1, Tree const * const tree2) {
	float const x1 = tree1->getProcessXPosition();
	float const y1 = tree1->getProcessYPosition();
	float const x2 = tree2->getProcessXPosition();
	float const y2 = tree2->getProcessYPosition();
	if (x1 < 0.5 && x2 >= 0.5) {
		return true;
	} else if (x1 >= 0.5 && x2 < 0.5) {
		return false;
	} else {
		return y1 < y2;
	}
}

#endif
