#include "wildcards.h"

#include <ctime>

string expandTimestampWildcard(string const & str) {
	// Built a timestamp string
	char timestamp[16];
	time_t const timer = std::time(NULL);
	std::tm * currentTime = std::localtime(&timer);
	std::strftime(timestamp, 16, "%y%m%d-%H%M%S", currentTime);

	// Replace each occurrence of "%t" with the timestamp
	string result = str;
	size_t pos = 0;
	while ((pos = result.find("%t")) != string::npos) {
		result.replace(pos, 2, timestamp);
	}
	return result;
}
