/*
 * ModelTest.h
 *
 *  Created on: 22.4.2009
 *      Author: asignell
 */

#include <cppunit/extensions/HelperMacros.h>

#include "Tree.h"
#include "Model.h"
#include "Vector.h"

#ifndef MODELTEST_H_
#define MODELTEST_H_

class ModelTest: public CppUnit::TestFixture {

	CPPUNIT_TEST_SUITE( ModelTest );
	CPPUNIT_TEST( testModel );
	CPPUNIT_TEST_SUITE_END();

	vector<Tree*> trees;

public:
	ModelTest();
	void addTree(Tree* tree);

	void setUp();
	void tearDown();

	void testModel();

};

#endif /* MODELTEST_H_ */
