/*
 * CompetitionDistanceModel.h
 *
 *  Created on: 2008-okt-29
 *      Author: joschori
 */

#ifndef COMPETITIONDISTANCEMODEL_H_
#define COMPETITIONDISTANCEMODEL_H_

#include "Vector.h"

class SizeClassHandler;
class AgeClassHandler;
class HeightClassHandler;

class Tree;

class CompetitionDistanceModel {
public:
	CompetitionDistanceModel(SizeClassHandler const & sizeClassHandler,
			AgeClassHandler const & ageClassHandler,
			HeightClassHandler const & heightClassHandler);
	~CompetitionDistanceModel();

	double calculate(Tree const * const curTree);
private:
	SizeClassHandler const & sizeClassHandler;
	AgeClassHandler const & ageClassHandler;
	HeightClassHandler const & heightClassHandler;
	Vector secondaryVariables;
	Vector modelVariables;
};

#endif /* LONGESTBRANCHMODEL_H_ */
