#include "TreeMarks.h"

#include "Helper.h"

vector<string> TreeMarks::markNames = setupMarkNames();

string const & TreeMarks::getMarkName(unsigned int id) {
	return markNames[id];
}

unsigned int TreeMarks::getMarkId(string const & name) {
	return Helper::getVariableId(name,markNames);
}

vector<string> TreeMarks::setupMarkNames() {
	vector<string> names;
	names.resize(NUMBER_OF_MARKS);
	names[DIAMETER] = "Diameter";
	names[HEIGHT] = "Height";
	return names;
}
