#include "GrowthData.h"

#include <map>
using std::map;

#include "XercesString.h"
#include <xercesc/util/XMLString.hpp>
#include <xercesc/dom/DOMElement.hpp>
#include <xercesc/dom/DOMNodeList.hpp>
XERCES_CPP_NAMESPACE_USE

GrowthData::GrowthData()
{
}

GrowthData::~GrowthData()
{
}

bool GrowthData::hasTreeGrowth() const
{
	return hasParams();
}

void GrowthData::loadExtraData(DOMElement const * extraData)
{
	// eUnrecognized denotes an unrecognized tag.
	enum Tags { eUnrecognized };

	map<string, int> tagMap;
	XercesString tagName = XMLString::replicate(extraData->getTagName());
	switch(tagMap[tagName.toString()])
	{
		default:	// Handles eUnrecognized.
		{
			throw "Unrecognized XML-element: "+tagName.toString();
		}
	}
}

