#ifndef GROWTHDATA_H_
#define GROWTHDATA_H_

#include "CommonData.h"

/**
 * Data class for the growth process.
 */
class GrowthData: public CommonData
{
public:
	GrowthData();
	~GrowthData();

	/**
	 * Returns true if this GrowthData specifies that tree growth will occur, otherwise false.
	 */
	bool hasTreeGrowth() const;
	
	void loadExtraData(XERCES_CPP_NAMESPACE::DOMElement const * extraData);

};

#endif /*GROWTHDATA_H_*/
