#include "ReproductionData.h"

#include "loadCoefficients.h"
#include "XercesString.h"
#include "XercesUtilities.h"
#include <xercesc/util/XMLString.hpp>
#include <xercesc/dom/DOMElement.hpp>
XERCES_CPP_NAMESPACE_USE

#include <map>
using std::map;

ReproductionData::ReproductionData()
{
}

ReproductionData::~ReproductionData()
{
}

void ReproductionData::loadExtraData(DOMElement const * extraData)
{
	// eUnrecognized denotes an unrecognized tag.
	enum Tags { eUnrecognized };
	
	map<string, int> tagMap;
	XercesString tagName = XMLString::replicate(extraData->getTagName());
	switch(tagMap[tagName.toString()])
	{
		default:	// Handles eUnrecognized.
		{
			throw "Unrecognized XML-element: "+tagName.toString();
		}
	}
}
