#include "SecondaryModelData.h"

SecondaryModelData::SecondaryModelData() {

}
SecondaryModelData::~SecondaryModelData() {

}

ostream & operator<<(ostream & os, SecondaryModelData const & data) {
	if(data.terms.empty()) {
		os << 0.0;
		return os;
	}
	os << "(";
	for(vector<SecondaryModelTerm>::const_iterator termIter=data.terms.begin(); termIter!=data.terms.end();) {
		os << *termIter;
		if(++termIter != data.terms.end())
			os << "+";
	}
	os << ")";
	return os;
}
