#ifndef LOADCOEFFICIENTS_H_
#define LOADCOEFFICIENTS_H_

#include <vector>
using std::vector;

#include <xercesc/util/XercesVersion.hpp>

namespace XERCES_CPP_NAMESPACE
{
	class DOMElement;
}

/**
 * A convenience function for loading values of XML elements with a "coefficient"-tag.
 * 
 * Returns:	The values stored in a vector.
 */
vector<double> loadCoefficients(XERCES_CPP_NAMESPACE::DOMElement const * coefficients);

#endif /*LOADCOEFFICIENTS_H_*/
