#include "HomogenousRegularPointGenerator.h"
#include "Point.h"

HomogenousRegularPointGenerator::HomogenousRegularPointGenerator()
{
}

HomogenousRegularPointGenerator::~HomogenousRegularPointGenerator()
{
}

double HomogenousRegularPointGenerator::calculatePointPotential(vector<Point> const & points) const
{
	double potential = 1.0;
	for(unsigned int k = 1; k < points.size(); ++k) {
		double distance = points[0].distanceTo(points[k]);
		if(distance < getInteractionRadius()) {
			potential *= getDensity();
		}
	}
	return potential;
}

void HomogenousRegularPointGenerator::loadDatum(XERCES_CPP_NAMESPACE::DOMElement const * element)
{
	// We don't recognize any elements here.
	throw "Unrecognized XML-element in HomogenousRegularPointgenerator.";
}
