#include "ForestTypeData.h"

#ifdef USE_MPI
#include "MPIUtil.h"
#endif

ForestTypeData::ForestTypeData()
: speciesReproductionAmount(-1.0)
, speciesInitialDiameterFactor(1.0)
, speciesNewDiameterFactor(1.0) {

}
ForestTypeData::~ForestTypeData() {

}

#ifdef USE_MPI
void ForestTypeData::broadcast(int const rootId, MPI_Comm const comm) {
	MPIUtil::broadcast(speciesName, rootId, comm);
	MPIUtil::broadcast(speciesAmount, rootId, comm);
	MPIUtil::broadcast(speciesReproductionAmount, rootId, comm);
	MPIUtil::broadcast(speciesInitialDiameterFactor, rootId, comm);
	MPIUtil::broadcast(speciesNewDiameterFactor, rootId, comm);
}
#endif
