/*
 * TestRunner.cpp
 *
 *  Created on: 22.4.2009
 *      Author: asignell
 */

#include "TestRunner.h"
#include "ModelTest.h"

#include <cppunit/ui/text/TestRunner.h>
#include <cppunit/TestResult.h>
#include <cppunit/CompilerOutputter.h>

void TestRunner::runTests() {
	CppUnit::TextUi::TestRunner runner;

	CppUnit::Test* test = new CppUnit::TestCaller<ModelTest>("testModel", &ModelTest::testModel);
	runner.addTest(test);

	runner.run();
}
